Geonix

Pay methods

GEThttps://geonix.com/personal/api/v1/{apiKey}/balance/payments/list

This endpoint retrieves a list of available payment systems for replenishing the balance on your account.

Different payment systems may have varying transaction fees or processing times. Please consult the payment system's documentation or support for more information.

Headers

Name

Value

Content-Type

application/json

Path parameters

Name

Type

Description

apiKey*

string

API key to authorize requests

Request examples

curl -X GET "https://geonix.com/personal/api/v1/YOUR_API_KEY_HERE/balance/payments/list"
<?php
$apiKey = 'YOUR_API_KEY_HERE'; // Replace with your API key
$url = "https://geonix.com/personal/api/v1/$apiKey/balance/payments/list";

$curl = curl_init($url);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_HTTPHEADER, [
  'Content-Type: application/json'
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
?>
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class BalancePaymentsListExample {
    public static void main(String[] args) {
        try {
            String apiKey = "YOUR_API_KEY_HERE"; // Replace with your API key
            URL url = new URL("https://geonix.com/personal/api/v1/" + apiKey + "/balance/payments/list");
            HttpURLConnection conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("GET");
            conn.setRequestProperty("Accept", "application/json");

            if (conn.getResponseCode() != 200) {
                throw new RuntimeException("Failed : HTTP error code : " + conn.getResponseCode());
            }

            BufferedReader br = new BufferedReader(new InputStreamReader((conn.getInputStream())));

            String output;
            System.out.println("Output from Server .... \n");
            while ((output = br.readLine()) != null) {
                System.out.println(output);
            }

            conn.disconnect();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}

Response

{
  "status": "success",
  "data": {
    "items": [
      {
        "id": "29",
        "name": "PayPal"
      }
    ]
  },
  "errors": []
}

On this page